use crate::computers::ram_rom::RamRomComputer;
use crate::periph::at28c256::At28C256;
use crate::periph::hm62256::Hm62256;

impl RamRomComputer {
    pub fn new() -> RamRomComputer {
        let rom = At28C256::new(0x4000, 0x7fff, (0..255).collect());
        RamRomComputer {
            rom,
            ram: Hm62256::default(),
            data_bus: 0x00,
            address_bus: 0x0000,
            /// is the CPU reading from the 'other' device?
            read_mode: true
        }
    }
}